#
# spec file for package axel
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?license: %global license %doc}
Name:           axel
Version:        2.16.1
Release:        lp150.1.1
Summary:        Lightweight Download Accelerator
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
Url:            http://axel.alioth.debian.org/
Source:         https://github.com/axel-download-accelerator/axel/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(openssl)

%description
Axel tries to accelerate HTTP/FTP downloading process by using multiple
connections for one file. It can use multiple mirrors for a download. Axel has
no dependencies and is lightweight, so it might be useful as a wget clone on
byte-critical systems.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%find_lang axel

%files -f axel.lang
%doc ChangeLog NEWS README AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sat Mar 10 2018 sebix+novell.com@sebix.at
- update to version 2.16.1:
  * no noteable changes
* Sun Nov 26 2017 aavindraa@gmail.com
- update to 2.16
  * Buildsystem fixes and improvements
  * Fixed bug that produces empty files with -q/--quiet
  * Fixed build with --disable-nls
  * Fixed formatting of the version/copyright message
  * Header files reorganization
  * Spanish translation
  * Style fixes
  * Updated Portuguese translation
* Sat Nov 11 2017 sebix+novell.com@sebix.at
- added more documentation files and license to package
* Sat Nov 11 2017 aavindraa@gmail.com
- update to 2.15 (see ChangeLog for release notes and all changes
  since 2.4)
- switch to new github url
- run spec-cleaner
- drop all patches
  * axel-fix_buffer_overflow.patch
    + upstreamed in 425dd156b76f2377a3e386324c282bdcdac90a40
  * axel-getaddrinfo.patch
    + upstreamed in cc1142b8de01e182cbaf4cc8a606c80696d8c0b8
  * axel-fix-url-max-length.patch
    + upstreamed in ce40ee76c25a84f386128927fcd0bab4e9751268
  * axel-2.4-configure.patch
    + unneeded
* Wed Apr 12 2017 sebix+novell.com@sebix.at
- run spec-cleaner
- add axel-fix-url-max-length.patch to accept longer URLs
* Thu Dec 22 2011 andreas.stieger@gmx.de
- Update License to GPL-2.0+
- add axel-2.4-configure.patch to make configure script accept and
  ignore --disable-dependency-tracking
* Tue Oct 12 2010 pascal.bleser@opensuse.org
- copied from home:bitshuffler to network:utilities
- revamped .spec file
- added patch to fix buffer overflow
- added patch to use getaddrinfo instead of gethostbyname
* Fri Jul  3 2009 bitshuffler #suse@irc.freenode.org
- Initial RPM
